<?php
// archivo: inicio.php
// objetivo: catlogo de libros

////////////////////////////////////////////////////
// archivos de inclusin
////////////////////////////////////////////////////

require '../include/clTablaHTML.php';
require '../include/partecomun.php';

$tit= "Compra de Libros ";
?>

<html>
  <head>
    <title><?php echo $tit. "(pgina:".$doc .")" ?></title>
    </head>
    <body>
    <link href="../css/comercio.css"
          rel="stylesheet"
          media="all"
          type="text/css"
           />
<?php

verVariables();

////////////////////////////////////////////////////
// Se establece la conexin
////////////////////////////////////////////////////
conectarGuest();

////////////////////////////////////////////////////
// Barra de navegacin del proceso de compra
////////////////////////////////////////////////////
tabNavegaCompra();

////////////////////////////////////////////////////
// Rutina de filtrado de libros
////////////////////////////////////////////////////
// esto limita la visualizacin del
// primer catlogo
$strsql2 = "LIMIT 3";

if ($_POST["Buscar"]=="Buscar") {
  $strsql2="WHERE  L.Nombre Like '%".trim($_POST['BTitulo'])."%' AND ";
  $strsql2.="      D.Nombre Like '%".trim($_POST['BDepartamento'])."%' AND ";
  $strsql2.="      (DetalleMenor Like '%".trim($_POST['BTexto'])."%' or ";
  $strsql2.="       DetalleMayor Like '%".trim($_POST['BTexto'])."%'  or ";
  $strsql2.="       Tema Like '%".trim($_POST['BTexto'])."%') AND ";
  $strsql2.="       Autor Like '%".trim($_POST['BAutor'])."%' ";
  $texto= " donde aparece la informacin buscada ";
}

if ($_POST["VerLibro"]=="Ver") {
  $strsql2="WHERE  LibroID Like '%".trim($_POST['vLibroID'])."%' ";

}

////////////////////////////////////////////////////
// Rutina de comprar
////////////////////////////////////////////////////
if ($_POST["Comprar"]=="Comprar") {
  if(!isset($_SESSION['Cesta'])) insertCesta();

  insertItemCesta();
}

////////////////////////////////////////////////////
// Obtener los libros del catlogo
////////////////////////////////////////////////////

$strsql= "SELECT
             L.LibroID,
             L.Nombre 'Nombre',
             L.DetalleMenor,
             L.DetalleMayor,
             L.Autor,
             L.Editorial,
             L.Paginas,
             L.Cubierta,
             L.Tema,
             L.Imagen,
             L.Peso,
             L.Precio,
             L.IVA,
             D.Nombre 'NombreD'
            FROM
             Libros L
             JOIN Departamentos D ON L.DepartamentoID = D.DepartamentoID ".$strsql2;


$result = $con->query($strsql);

$cantrows=$result->num_rows;


////////////////////////////////////////////////////
// Obtener la lista de departamentos vigentes
////////////////////////////////////////////////////
$result2 = $con->query("SELECT * FROM Departamentos ORDER BY Nombre");
while ($fila2 = mysqli_fetch_assoc($result2))
	$depto[$fila2['DepartamentoID']]=$fila2['Nombre'];

// libera el conjunto de resultados
$result2->free_result();

// Genera la tabla para bsquedas en el catlogo
tabbuscar($cantrows);


////////////////////////////////////////////////////
// Mostrar todos los libros seleccionados
////////////////////////////////////////////////////

while ($fila = $result->fetch_assoc())
{
  // detecta el uso de escape
  if (get_magic_quotes_gpc())      {
        $fila['Nombre']=stripslashes($fila['Nombre']);
        $fila['Imagen']=stripslashes($fila['Imagen']);
        $fila['Autor']=stripslashes($fila['Autor']);
        $fila['Editorial']=stripslashes($fila['Editorial']);
        $fila['LibroID']=stripslashes($fila['LibroID']);
        $fila['Tema']=stripslashes($fila['Tema']);
        $fila['DetalleMenor']=stripslashes($fila['DetalleMenor']);
        $fila['DetalleMayor']=stripslashes($fila['DetalleMayor']);
  }

  echo "<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
  echo "<table valign=\"top\" width=\"800\" border=\"3\">";
  echo "<tr>";
  echo "<td><table valign=\"top\" width=\"100\" border=\"1\">";
  echo "<tr><td  valign=\"top\">Ttulo:<br><b>" .$fila['Nombre']."</b></td></tr>";
  echo "<tr><td align=\"center\"><img  src=\"../images/".$fila['Imagen']."\" width=\"120\" height=\"200\" /></td></tr>";
  echo "</table></td>";
  echo "<td><table valign=\"top\" width=\"200\" border=\"0\">";
  echo "<tr><td>Tema: ".$fila['Tema']."</td></tr>";
  echo "<tr><td>Departamento: " .$fila['NombreD']."</td></tr>";
  echo "<tr><td>Autor: <b>".$fila['Autor']."</b></td></tr>";
  echo "<tr><td>Editorial: ".$fila['Editorial']."</td></tr>";
  echo "<tr><td>ISBN: ".$fila['LibroID']."</td></tr>";
  echo "<tr><td>Pginas: ".$fila['Paginas']."</td></tr>";
 // echo "<tr><td>Cubierta: ".$fila['Cubierta']."</td></tr>";
    echo "<tr><td>Cubierta: Rstica</td></tr>";
  echo "<tr><td>Peso en kg.: ".$fila['Peso']."</td></tr>";
  echo "<tr><td>PVP en euros: ".($fila['IVA']+$fila['Precio'])."</td></tr>";
  echo "</table></td>";
  echo "<td><table valign=\"top\" width=\"450\" border=\"1\">";
  echo "<tr><td><b>Resumen: </b>".$fila['DetalleMenor']."</td></tr>";
  echo "<tr><td><b>Detalle: </b>".$fila['DetalleMayor']."</td></tr>";
  echo "</table></td></tr>";
  echo "</table>";
  echo "Cantidad: <input type='text' name='Cantidad' value='1' size='5'>";
  echo "<input type='hidden' name='LibroID' value='".$fila['LibroID']."'>";
  echo "<input type=\"submit\" name=\"Comprar\" value=\"Comprar\">";
  echo "</form>";

 }
 // libera el conjunto de resultados
$result->free_result();



?>
</body>
</html>