<?php
// Versin SQLite
// archivo: mantdepto.php
// archivos de inclusin

  require '../include/clTablaHTML.php';
  require '../include/partecomun.php';

// Esta pgina permite aadir, modificar o eliminar
// departamentos de la tienda
// Es una pgina que slo utilizar el administrador
// del sitio de comercio electrnico; ningn cliente
// del sitio tendr acceso a ella.

$tit= "Mantenimiento de Departamentos ";
?>

<html>
  <head>
    <title><?php echo $tit. "(pgina:".$doc .")" ?></title>
    </head>
    <body>
    <link href="../css/comercio.css"
          rel="stylesheet"
          media="all"
          type="text/css"
           />

<?php

//vervariables();

// Rutina de bsqueda de los libros de un departamento
if  ($_POST["VerDepto"]=="Buscar") {
   redirect("mantlibros.php?vDepartamentoID="
           .$_POST["vDepartamentoID"]."&VerDepto=".$_POST["VerDepto"]);
}

////////////////////////////////////////////////////
// Se establece la conexin
////////////////////////////////////////////////////
// observar que se utiliza conectar()
// para no permitir el acceso a los visitantes
// (slo el administrador autenticado)
/////////////// /////////////////////////////////////
conectar();


// Rutina de insercin de un nuevo Departamento de la librera
if (($_POST["AadirDepto"]=="Aadir")) {
   $queryInsert=
        "INSERT INTO Departamentos
               (DepartamentoID,
                DepartamentoRaizID,
                Nombre,
                Imagen)
            VALUES
                (NULL,
                 \"".$_POST["IDepartamentoRaizID"]."\",
                 \"".$_POST["INombre"]."\",
                 \"".$_POST["IImagen"]."\");";

         if (!sqlite_query($con,$queryInsert))
              tratarError("Error en insercin de tabla de departamentos", $queryInsert);
}

// Rutina de modificacin de un departamento de la librera
elseif ($_POST["ModificarDepto"]=="Modificar")
{
   $queryUpdate=
        "UPDATE Departamentos
              SET
               DepartamentoRaizID =\"".$_POST["vDepartamentoRaizID"]."\",
               Nombre = \"".$_POST["vNombre"]."\",
               Imagen = \"".$_POST["vImagen"]."\"
           WHERE DepartamentoID = \"".$_POST["vDepartamentoID"]."\";";
   if (!sqlite_query($con,$queryUpdate))
            tratarError("Error en modificacin de tabla de departamentos", $queryUpdate);
}

// Rutina de eliminacin de un departamento de la librera
elseif ($_POST["EliminarDepto"]=="Eliminar") {
  // se verifica que ese departamento no tenga libros dependientes
   if (Integridad("Libros","DepartamentoID",$_POST["vDepartamentoID"])) {
      echo "No se elimina el departamento por existir dependencias";
   }
   else {
   $queryDelete=
            "DELETE FROM Departamentos
                WHERE
                  DepartamentoID = \"".$_POST["vDepartamentoID"]."\";";
   if (!sqlite_query($con,$queryDelete))
           tratarError("Error en insercin de tabla de departamentos", $queryDelete);
   }
}

// Rutina de filtrado de departamentos
elseif ($_POST["Buscar"]=="Buscar") {
  $strsql="WHERE Nombre Like '%".trim($_POST['Texto'])."%'";
}

/////////////////////////////////////////////////////////
// Lista de departamentos races vlidos
////////////////////////////////////////////////////////
$query =
  "SELECT DepartamentoID AS DID, Nombre AS N
     FROM Departamentos ORDER BY N ASC";

// crea el conjunto de resultados
$result = sqlite_query($con,$query);

// Crea una matriz con todos los races vlidos
// incluso el 0, que indica que no depende de
// ningn departamento
unset($ld);
$ld[0]='Ninguno';
while ($fila = sqlite_fetch_array($result, SQLITE_ASSOC)) {
   $ld[$fila['DID']]=$fila['N'];
}
////////////////////////////////////////////////////////////

// Realiza la consulta con la cadena armada
$strsql = "SELECT * FROM Departamentos ". $strsql . " ORDER BY Nombre ";

// crea el conjunto de resultados
$result = sqlite_query($con,$strsql);

// si es false, fall la consulta
// no confundir con vaco:
// el conjunto $result puede estar vaco pero eso no produce false
// un conjunto de resultados vaco es una respuesta vlida

if (!$result)  tratarError("Error en lectura de tabla de departamentos", $strsql);

echo "<h2><center>".$tit." : sesin: " .$_SERVER['PHP_AUTH_USER']." </center></h2>";

////////////////////////////////////////////////////
// enlaces a otras pginas
////////////////////////////////////////////////////
// Tabla de navegacin del administrador del sitio
tabnavega($doc);

// Crea un objeto TablaHTML
$tab2 = new  TablaHTML("Comercio");

// Coloca los ttulos de las columnas
$tab2->asignar_titulos_columnas("Nombre",
                                "Imagen",
                                "Depende de",
                                "",
                                "",
                                "Accin");

// Formularios para la eliminacin y modificacin de departamentos
// uno por cada lnea de la tabla
// navega por el conjunto de resultados

while ($fila = sqlite_fetch_array($result, SQLITE_ASSOC)) {
  // detecta el uso de escape en campos alfabticos
  if (get_magic_quotes_gpc())  {
     $fila['Nombre']=stripslashes($fila['Nombre']);
     $fila['Imagen']=stripslashes($fila['Imagen']);
   }

  unset($b);
  $b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
  $b[0].="<input type='hidden' name='vDepartamentoID' value='".$fila['DepartamentoID']."'>";
  $b[0].="<input type='text' name='vNombre' value=\"".$fila['Nombre']."\">";
  $b[1]="<input type='text' name='vImagen' value=\"".$fila['Imagen']."\">";
  $b[2]="<select name=\"vDepartamentoRaizID\">";
  reset($ld);
  foreach ($ld as $clave => $var)    {
     $sel="";
     if ($clave == $fila['DepartamentoRaizID']) $sel = "selected=\"selected\"";
     $b[2] .= "<option value=\"".$clave."\"" .$sel.">". $var ."</option>";
  }
  $b[2] .= "</select>";
  $b[3]="<input type=\"submit\" name=\"EliminarDepto\" value=\"Eliminar\">";
  $b[4]="<input type=\"submit\" name=\"ModificarDepto\" value=\"Modificar\">";
  $b[5]="<input type=\"submit\" name=\"VerDepto\" value=\"Buscar\">";
  $b[6]="</form>";

  // se utiliza el identificador del departamento como ttulo de la fila
  // esta columna no se puede modificar
  $titfila[]=$fila['DepartamentoID'];

  $tab2->aadir_fila($b);
}


// cierra la conexin
sqlite_close($con);

// Formulario para la insercin de nuevos departamentos
unset($b);
$b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
$titfila[]=" ";
$b[0].="<input type=\"text\" name=\"INombre\" value=\" \" size=\"20\">";
$b[1]="<input type=\"text\" name=\"IImagen\" value=\" \" size=\"20\">";
$b[2]="<select name=\"IDepartamentoRaizID\">";
reset($ld);
foreach ($ld as $clave => $var)    {
        $b[2] .= "<option value=\"".$clave."\">". $var ."</option>";
}
$b[2] .="</select>";
$b[3]="<input type=\"submit\" name=\"AadirDepto\" value=\"Aadir\">";
$b[4]="</form>";
$tab2->aadir_fila($b);

// coloca los ttulos de cada fila
$tab2->asignar_titulos_filas($titfila);

echo $tab2->retornoHTML();
echo "</form>";

?>
</body>
</html>