<?php
// versin SQLite
// archivo: mantprov.php
// mantenimiento de proveedores

// archivos de inclusin

  include '../include/clTablaHTML.php';
  include '../include/partecomun.php';

// Esta pgina permite aadir, modificar o eliminar
// proveedores
// Es una pgina que slo utilizar el administrador
// del sitio de comercio electrnico; ningn cliente
// del sitio tendr acceso a ella.

$tit= "Mantenimiento de Proveedores ";
?>

<html>
  <head>
    <title><?php echo $tit. "(pgina:".$doc .")" ?></title>
    </head>
    <body>
    <link href="../css/comercio.css"
          rel="stylesheet"
          media="all"
          type="text/css"
           />

<?php
//vervariables();


// Rutina de bsqueda de los libros de un nuevo proveedor
// Enlaza con el catlogo de libros y all se listarn los libros
// relacionados con este proveedor
if  ($_POST["VerProv"]=="Buscar") {
   redirect("mantlibros.php?vProveedorID=".$_POST["vProveedorID"]."&VerProv=".$_POST["VerProv"]);
}

// Se establece la conexin
conectar();

// Rutina de insercin de un nuevo proveedor de la librera
if ($_POST["AadirProv"]=="Aadir")  {
  $queryInsert=
       "INSERT INTO Proveedores
            (ProveedorID,
            Nombre,
            Apellidos,
            Empresa,
            EMail)
          VALUES
            (NULL,
             \"".$_POST["INombre"]."\",
             \"".$_POST["IApellidos"]."\",
             \"".$_POST["IEmpresa"]."\",
             \"".$_POST["IEmail"]."\");";

  if (!sqlite_query($con, $queryInsert))
       tratarError("Error en insercin de tabla de proveedores", $queryInsert);
}

// Rutina de modificacin de un proveedor de la librera
elseif ($_POST["ModificarProv"]=="Modificar") {
  $queryUpdate=
     "UPDATE Proveedores
        SET
          Nombre = \"".$_POST["vNombre"]."\",
          Apellidos = \"".$_POST["vApellidos"]."\" ,
          EMail = \"".$_POST["vEmail"]."\",
          Empresa = \"".$_POST["vEmpresa"]."\"
        WHERE
          ProveedorID = \"".$_POST["vProveedorID"]."\";";

  if (!sqlite_query($con, $queryUpdate))
       tratarError("Error en modificacin de tabla de cuentas", $queryUpdate);
}

// Rutina de eliminacin de un proveedor de la librera
elseif ($_POST["EliminarProv"]=="Eliminar") {

    // se verifica que ese proveedor no tenga libros dependientes
     if (Integridad("Libros","ProveedorID",$_POST["vProveedorID"])) {
        echo "No se elimina el proveedor por existir dependencias";
     }

     else {
        $queryDelete=
              "DELETE FROM Proveedores
                 WHERE ProveedorID = \"".$_POST["vProveedorID"]."\";";
         if (!sqlite_query($con, $queryDelete))
              tratarError("Error en insercin de tabla de cuentas", $queryDelete);
     }
}

// Rutina de filtrado de proveedores
elseif ($_POST["Buscar"]=="Buscar") {
  $strsql="WHERE Nombre Like '%".trim($_POST['Texto'])."%' or ";
  $strsql.="     Apellidos Like '%".trim($_POST['Texto'])."%' or ";
  $strsql.="     Empresa Like '%".trim($_POST['Texto'])."%' or ";
  $strsql.="     EMail Like '%".trim($_POST['Texto'])."%'";
}


$strsql = "SELECT * FROM Proveedores " . $strsql;

// crea el conjunto de resultados
$result = sqlite_query($con, $strsql);

// si es false, fall la consulta
// no confundir con vaco:
// el conjunto $result puede estar vaco pero eso no produce false
// un conjunto de resultados vaco es una respuesta vlida

if (!$result)  tratarError("Error en lectura de tabla de proveedores", $strsql);

echo "<h2><center>".$tit." : sesin: " .$_SERVER['PHP_AUTH_USER']." </center></h2>";

// tabla de navegacin del administrador del sitio
tabnavega($doc);


// Crea un objeto TablaHTML
$tab2 = new  TablaHTML("Comercio");

// Coloca los ttulos de las columnas
$tab2->asignar_titulos_columnas("Nombre",
                                "Apellidos",
                                "Empresa",
                                "Email",
                                "",
                                "",
                                "Accin");


// Formularios para la eliminacin y modificacin de proveedores
// uno por cada lnea de la tabla
// navega por el conjunto de resultados
// iteracin por el conjunto de resultados de la lectura de la tabla

while ($fila = sqlite_fetch_array($result,SQLITE_ASSOC)) {
  // detecta el uso de escape en campos alfabticos
  if (get_magic_quotes_gpc())    {
     $fila['Nombre']=stripslashes($fila['Nombre']);
     $fila['Apellidos']=stripslashes($fila['Apellidos']);
     $fila['EMail']=stripslashes($fila['EMail']);
     $fila['Empresa']=stripslashes($fila['Empresa']);
   }

  unset($b);
  $b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
  $b[0].="<input type='hidden' name='vProveedorID' value='".$fila['ProveedorID']."'>";
  $b[0].="<input type='text' name='vNombre' value=\"".$fila['Nombre']."\">";
  $b[1]="<input type='text' name='vApellidos' value=\"".$fila['Apellidos']."\">";
  $b[2]="<input type='text' name='vEmpresa' value=\"".$fila['Empresa']."\">";
  $b[3]="<input type='text' name='vEmail' value=\"".$fila['EMail']."\">";
  $b[4]="<input type=\"submit\" name=\"EliminarProv\" value=\"Eliminar\">";
  $b[5]="<input type=\"submit\" name=\"ModificarProv\" value=\"Modificar\">";
  $b[6]="<input type=\"submit\" name=\"VerProv\" value=\"Buscar\">";
  $b[7]="</form>";

  // se utiliza el identificador del departamento como ttulo de la fila
  // esta columna no se puede modificar
  $titfila[]=$fila['ProveedorID'];

  $tab2->aadir_fila($b);
}

// cierra la conexin
sqlite_close($con);

// Formulario para la insercin de nuevos proveedores
unset($b);
$b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
$titfila[]=" ";
$b[0].="<input type=\"text\" name=\"INombre\" value=\" \" size=\"20\">";
$b[1]="<input type=\"text\" name=\"IApellidos\" value=\" \" size=\"20\">";
$b[2]="<input type=\"text\" name=\"IEmpresa\" value=\" \" size=\"20\">";
$b[3]="<input type=\"text\" name=\"IEmail\" value=\" \" size=\"20\">";
$b[4]="<input type=\"submit\" name=\"AadirProv\" value=\"Aadir\">";
$b[5]="</form>";
$tab2->aadir_fila($b);

// coloca los ttulos de cada fila
$tab2->asignar_titulos_filas($titfila);

echo $tab2->retornoHTML();
echo "</form>";


?>
</body>
</html>