<?php
print "<B><U>Creacin y carga de la tabla Departamentos (ejemplo c1401.php)</U></B><BR><BR>";

// Apertura de una base de datos Comercio
$db1 = sqlite_open('Comercio', 0666, $sqliteerror);

// Elimina las tablas (por precaucin)
@sqlite_query($db1, 'DROP TABLE Departamentos;');

// Comienza la transaccin
sqlite_query($db1,"BEGIN");

// Tabla Departamentos

// los tipos de datos son irrelevantes
// salvo INTEGER PRIMARY KEY  que significa autoincremento

$creat1 = "CREATE TABLE Departamentos (
 			DepartamentoID INTEGER PRIMARY KEY NOT NULL,
			DepartamentoRaizID  INTEGER   NOT NULL,
			Nombre VARCHAR(32) NOT NULL DEFAULT ' ',
			Imagen text(65535) NOT NULL DEFAULT ' ');";


// Ejecucin del query
sqlite_query($db1,$creat1 );

// Carga un valor en la tabla Departamentos
$ins01 = "INSERT INTO Departamentos values(NULL, 0,'Lingstica','ling.jpg');";
sqlite_query($db1,$ins01);

// Recupera el valor de autoincremento
$clave = sqlite_last_insert_rowid ($db1);

// Carga un valor en la tabla Departamentos
$ins01 = "INSERT INTO Departamentos values(NULL, ". $clave . ",'Diccionarios','dicc.jpg');";
sqlite_query($db1,$ins01);

// Carga un valor en la tabla Departamentos
$ins01 = "INSERT INTO Departamentos values(NULL, ". $clave . ",'Gramticas','gram.jpg');";
sqlite_query($db1,$ins01);

// Carga un valor en la tabla Departamentos
$ins01 = "INSERT INTO Departamentos values(NULL, 0,'Informtica','info.jpg');";
sqlite_query($db1,$ins01);

// Recupera el valor de autoincremento
$clave = sqlite_last_insert_rowid ($db1);

// Carga un valor en la tabla Departamentos
$ins01 = "INSERT INTO Departamentos values(NULL, ". $clave . ",'Bases de datos','bd.jpg');";
sqlite_query($db1,$ins01);

// Carga un valor en la tabla Departamentos
$ins01 = "INSERT INTO Departamentos values(NULL, ". $clave . ",'Programacin','prog.jpg');";
sqlite_query($db1,$ins01);


// Creacin de un ndice sobre Nombre
$creai1 = "CREATE INDEX ind_Nombre ON Departamentos (Nombre);";


// Confirma las actualizaciones
sqlite_query($db1,"COMMIT;");

print "<BR>En la tabla Departamentos de la base de datos Comercio hay " .
       sqlite_fetch_single(sqlite_query($db1, "SELECT COUNT(*) FROM Departamentos;")) .
	   " registros<BR>";


?>