<?php
print "<B><U>Creacin y carga de la tabla Libros (ejemplo c1403.php)</U></B><BR><BR>";

// Apertura de una base de datos Comercio
$db1 = sqlite_open('Datos/Comercio', 0666, $sqliteerror);

// Elimina la tabla (por precaucin)
@sqlite_query($db1, 'DROP TABLE Libros;');

// Comienza la transaccin
sqlite_query($db1,"BEGIN");

// Tabla Libros
$creat1 = "CREATE TABLE Libros (
 			LibroID VARCHAR(16) PRIMARY KEY NOT NULL,
			DepartamentoID  INTEGER   NOT NULL,
			Nombre VARCHAR(200) NOT NULL DEFAULT ' ',
			DetalleMenor VARCHAR(200) NOT NULL DEFAULT ' ',
			Detallemayor text(65535),
			Autor VARCHAR(500) NOT NULL DEFAULT ' ',
			Editorial VARCHAR(100) NOT NULL DEFAULT ' ',
			Paginas INTEGER NOT NULL DEFAULT '0',
			Cubierta INTEGER NOT NULL DEFAULT '1',
			Tema VARCHAR(50)  NULL,
			Imagen VARCHAR(255)  NULL ,
			Peso DOUBLE(12,2) NOT NULL DEFAULT '0',
			Precio DOUBLE(12,2) NOT NULL DEFAULT '0',
			IVA DOUBLE(12,2) NOT NULL DEFAULT '0',
			Existencias INTEGER NOT NULL DEFAULT '0',
			ProveedorID INTEGER NOT NULL);";


// Ejecucin del query
sqlite_query($db1,$creat1 );

// Carga un valor en la tabla Libros
$ins01 = "INSERT INTO Libros values
 	('84-95318-39-3',5,'Gua de programacin de aplicaciones de basesde datos con Visual C++6',
 	'Diseada para ensear cmo desarrollar aplicaciones en Visual C++ que tengan que acceder a bases de datos. Libro introductorio que explica las principales tcnicas de acceso a los datos.',
 	'Especialmente pensado para los programadores Visual C++ que tengan una experiencia mnima en desarrollos de bases de datos y que quieran aprender ms sobre las distintas tecnologas ofrecidas por Microsoft. Se utilizan ejemplos que muestran el uso de cada una de la tecnologas, usando MFC para la interfaz de usuario. Para sacar provecho se requiere conocimiento previo de C++. La experiencia en MFC es conveniente pero no imprescindible.',
 	'Wendy Sarret', 'Inforbooks',328,1, 'Bases de datos','84-95318-39-3.jpg',
 	0.5,19.93,0.79,750,1);";

sqlite_query($db1,$ins01);

// Carga un valor en la tabla Libros
$ins01 = "INSERT INTO Libros values
 	('84-96907-34-X',6,'Curso profesional de programacin PHP 5',
 	'PHP significa preprocesador de hipertexto, su nombre describe perfectamente lo que es: un lenguaje de secuencia d3e comandos para el servidor.',
 	'Libro dirigido a los programadores que ya han tenido contacto con HTML y que saben qu significa disear una pgina web esttica. Con PHP podrn superar las limitaciones de HTML y crear sitios Web dinmicos. Tambin podrn sacar provecho de este libro los programadores que provienen de otros entornos, como Visual Basic o ASP y que deseen dar sus primeros pasos en el diseo de aplicaciones Web utilizando un lenguaje de cdigo abierto. Progrese paso a paso con los fundamentos terico-prcticos del lenguaje, culminando con el desarrollo completo de tres aplicaciones Web',
        'Edgar D''Andrea', 'Inforbooks',512,1, 'Programacin','84-96907-34-X.jpg',
 	0.7,25.48,1.02,950,2);";

sqlite_query($db1,$ins01);

// Carga un valor en la tabla Libros
$ins01 = "INSERT INTO Libros values
 	('84-95318-60-1',6,'Cmo construir una tienda virtual con Visual Basic y ASP',
 	'Construccin de un sitio de comercio electrnico utilizando las herramientas fundamentales de Microsoft: Visual Basic, IIS, ASP, VBScript, SQL Server, InterDev.',
        'Tratamiento pormenorizado de los principales problemas de las fases de diseo, construccin e implementacin de una tienda electnica utilizando el entorno de desarrollo integrado de las herramientas de Microsoft Visual InterDev, Visual Basic, SQL Server, ASP, IIS y Windows 2000 Server.',
        'Edgar D''Andrea', 'Inforbooks',656,1, 'Programacin','84-95318-60-1.jpg',
 	0.8,25.72,1.03,250,2);";

sqlite_query($db1,$ins01);

// Carga un valor en la tabla Libros
$ins01 = "INSERT INTO Libros values
 	('84-95318-85-7',4,'Cmo cambiar a Visual Basic .NET',
 	'Estrategias, conceptos y cdigo para poder migrar al nuevo entorno de desarrollo de Visual Basic .NET de Microsoft.',
    'En estrategias se ver que VB.NET es perfecto para los nuevos desarrollos Web y para las aplicaciones en el servdior, pero tambin se mostrar que el transporte de cdigo puede ser desastroso. Tambin se podr observar que la naturaleza humana y la economa desempean un papel destacado en la implantacin de esta nueva tecnologa .NET. En Conceptos se aprendern los conceptos fundamentales, como herencia y subproceso, y se sabr por qu han sido sobreestimados. Tambin se aprender por qu Microsoft est matando a COM. Y tambin se aprendern otros conceptos importantes que para los programadores VB6 resultarn niovedosos o poco familiares pero que son cruciales para los programadores que realicen desarrollos en el entorno .NET. En la ltima parte, Cdigo, se conocer el lenguaje .NET y muchas de sus funcionalidades, las que se basan en el conocimiento vigente de VB6.',
    'Dan Appleman', 'Inforbooks',560,1, 'Programacin','84-95318-85-7.jpg',
 	0.8,28.36,1.14,150,3);";

//
sqlite_query($db1,$ins01);

// Confirma las actualizaciones
sqlite_query($db1,"COMMIT;");

print "<BR>En la tabla Libros de la base de datos Comercio hay " .
       sqlite_fetch_single(sqlite_query($db1, "SELECT COUNT(*) FROM Libros;")) .
	   " registros<BR>";


?>