<?php
// Versin SQLite
// archivo: registro.php
// objetivo: datos del cliente

// Esta pgina permite aadir o modificar  datos
// del cliente
// Es una pgina que utilizar el cliente para registrarse
// o para modificar sus datos

////////////////////////////////////////////////////
// archivos de inclusin
////////////////////////////////////////////////////

  require '../include/clTablaHTML.php';
  require '../include/partecomun.php';

$tit= "Registro de cliente ";
?>

<html>
  <head>
    <title><?php echo $tit. "(pgina:".$doc .")" ?></title>
    </head>
    <body>
    <link href="../css/comercio.css"
          rel="stylesheet"
          media="all"
          type="text/css"
           />

<?php

//verVariables();

////////////////////////////////////////////////////
// Se establece la conexin
////////////////////////////////////////////////////
conectar();

////////////////////////////////////////////////////
// Barra de navegacin del proceso de compra
////////////////////////////////////////////////////
tabNavegaCompra();

////////////////////////////////////////////////////
// Rutinas de operaciones de actualizacin del cliente
////////////////////////////////////////////////////
$cliente= $_GET['Cliente'];

if (isset($_SESSION['Cliente']))
   $cliente= $_SESSION['Cliente'];

if (!is_numeric($cliente))
    redirect("autenticarse.php");



// Rutina de insercin de un nuevo cliente
if (($_POST["AadirCliente"]=="Aadir"))
{
  $queryInsert="INSERT INTO Clientes
                   (Nombre,
                    Apellidos,
                    EMail,
                    PalabraPaso,
                    AceptaCookies,
                    Suscriptor,
                    Direccion,
                    Ciudad,
                    Provincia,
                    CodigoPostal,
                    Telefono,
                    FAX,
                    TipoTarjeta,
                    NumeroTarjeta,
                    NombreEntarjeta,
                    FechaCaducidad,
                    UltimaMod,
                    FechaCreacion)
                  VALUES
                    (\"".$_POST["vNombre"]."\",
                     \"".$_POST["vApellidos"]."\",
                     \"".$_POST["vEMail"]."\",
                     \"".$_POST["vPalabraPaso"]."\",
                     \"".$_POST["vAceptaCookies"]."\",
                     \"".$_POST["vSuscriptor"]."\",
                     \"".$_POST["vDireccion"]."\",
                     \"".$_POST["vCiudad"]."\",
                     \"".$_POST["vProvincia"]."\",
                     \"".$_POST["vCodigoPostal"]."\",
                     \"".$_POST["vTelefono"]."\",
                     \"".$_POST["vFAX"]."\",
                     \"".$_POST["vTipoTarjeta"]."\",
                     \"".$_POST["vNumeroTarjeta"]."\",
                     \"".$_POST["vNombreEntarjeta"]."\",
                     \"".$_POST["vFechaCaducidad"]."\",
                     \"".date('d-m-Y h:i:s')."\",
                     \"".date('d-m-Y h:i:s')."\");";

  if (!sqlite_query($con,$queryInsert))
         tratarError("Error en insercin de tabla de clientes", $queryInsert);



  ////////////////////////////////////////////////////////
  // obtiene el identificador del cliente
  ////////////////////////////////////////////////////////
  $_SESSION['Cliente']=sqlite_last_insert_rowid($con);
  $cliente = sqlite_last_insert_rowid($con);

  echo "<br> insert el cliente $cliente <br>";


}

// Rutina de modificacin de datos de un cliente

elseif ($_POST["ModificarCliente"]=="Modificar")
{
   $queryUpdate=
     "UPDATE Clientes
        SET
          Nombre = \"".$_POST["vNombre"]."\",
          Apellidos = \"".$_POST["vApellidos"]."\",
          EMail = \"".$_POST["vEMail"]."\",
          PalabraPaso = \"".$_POST["vPalabraPaso"]."\",
          AceptaCookies = \"".$_POST["vAceptaCookies"]."\",
          Suscriptor = \"".$_POST["vSuscriptor"]."\",
          Direccion = \"".$_POST["vDireccion"]."\",
          Ciudad = \"".$_POST["vCiudad"]."\",
          Provincia = \"".$_POST["vProvincia"]."\",
          CodigoPostal = \"".$_POST["vCodigoPostal"]."\",
          Telefono = \"".$_POST["vTelefono"]."\",
          FAX = \"".$_POST["vFAX"]."\",
          TipoTarjeta = \"".$_POST["vTipoTarjeta"]."\",
          NumeroTarjeta = \"".$_POST["vNumeroTarjeta"]."\",
          NombreEntarjeta = \"".$_POST["vNombreEntarjeta"]."\",
          FechaCaducidad = \"".$_POST["vFechaCaducidad"]."\",
          UltimaMod = \"".date('d/m/Y h:i:s')."\"
        WHERE
          ClienteID = ".$_POST["vClienteID"].";";

    if (!sqlite_query($con,$queryUpdate))
         tratarError("Error en modificacin de tabla de clientes", $queryUpdate);

}


////////////////////////////////////////////////////
// Obtener el registro del cliente
////////////////////////////////////////////////////

$strsql =
  "SELECT * FROM Clientes
     WHERE
       ClienteID =".$cliente.";";

// crea el conjunto de resultados
$result = sqlite_query($con,$strsql);

// si es false, fall la consulta
// no confundir con vaco:
// el conjunto $result puede estar vaco pero eso no produce false
// un conjunto de resultados vaco es una respuesta vlida

if (!$result)  tratarError("Error en lectura de tabla de clientes", $strsql);


////////////////////////////////////////////////////

////////////////////////////////////////////////////
// Muestra los datos del cliente
////////////////////////////////////////////////////

$fila = sqlite_fetch_array($result,SQLITE_ASSOC);

// detecta el uso de escape en campos alfabticos
if (get_magic_quotes_gpc())
 {
   $fila['Nombre']=stripslashes($fila['Nombre']);
   $fila['Apellidos']=stripslashes($fila['Apellidos']);
   $fila['EMail']=stripslashes($fila['EMail']);
   $fila['PalabraPaso']=stripslashes($fila['PalabraPaso']);
   $fila['Direccion']=stripslashes($fila['Direccion']);
   $fila['Ciudad']=stripslashes($fila['Provincia']);
   $fila['CodigoPostal']=stripslashes($fila['CodigoPostal']);
   $fila['Telefono']=stripslashes($fila['Telefono']);
   $fila['FAX']=stripslashes($fila['FAX']);
   $fila['NumeroTarjeta']=stripslashes($fila['NumeroTarjeta']);
   $fila['NombreEntarjeta']=stripslashes($fila['NombreEntarjeta']);
 }

echo "<form method=\"POST\" action=\"".$doc."?Cliente=".$cliente."\" enctype=\"multipart/form-data\">";
echo "<table valign=\"top\" width=\"100%\" border=\"3\">";
echo "<tr>";

echo "<td><table valign=\"top\" width=\"100%\" border=\"1\">";
echo "<tr><td  valign=\"top\">Nombre:</td><td><input type='text' name='vNombre' value=\"".$fila['Nombre']."\"></b></td></tr>";
echo "<tr><td>Apellidos: </td><td><input type='text' name='vApellidos' value=\"".$fila['Apellidos']."\"></td></tr>";
echo "<tr><td>Email: </td><td><input type='text' name='vEMail' value=\"".$fila['EMail']."\"></td></tr>";
echo "<tr><td>Palabra de paso:</td><td><input type='password' name='vPalabraPaso' value=\"".$fila['PalabraPaso']."\"></td></tr>";
echo "<tr><td>Direccin: </td><td><input type='text' name='vDireccion' value=\"".$fila['Direccion']."\"></td></tr>";
echo "<tr><td>Ciudad: </td><td><input type='text' name='vCiudad' value=\"".$fila['Ciudad']."\"></td></tr>";
echo "<tr><td>Provincia: </td><td><input type='text' name='vProvincia' value=\"".$fila['Provincia']."\"></td></tr>";
echo "<tr><td>Cdigo postal: </td><td><input type='text' name='vCodigoPostal' value=\"".$fila['CodigoPostal']."\"></td></tr>";
echo "</table></td>";

echo "<td><table valign=\"top\" width=\"100%\" border=\"1\">";
echo "<tr><td>Telfono: </td><td><input type='text' name='vTelefono' value=\"".$fila['Telefono']."\"></td></tr>";
echo "<tr><td>Fax:</td><td><input type='text' name='vFAX' value=\"".$fila['FAX']."\"></td></tr>";
echo "<tr><td>Tipo de tarjeta:</td><td><select name='vTipoTarjeta'>";
$tipos=Array("1"=>"VISA","2"=>"MASTER","3"=>"AMERICAN");
while($temp = each($tipos))    {
     $sel="";
     if ($temp[0]==$fila['TipoTarjeta']) $sel = "selected=\"selected\"";
         echo "<option value=\"".$temp[0]."\"" .$sel.">".$temp[1]."</option>";
}
echo "</select></td></tr>";

echo "<tr><td>Nmero de tarjeta: </td><td><input type='text' name='vNumeroTarjeta' value=\"".$fila['NumeroTarjeta']."\"></td></tr>";
echo "<tr><td>Nombre en tarjeta: </td><td><input type='text' name='vNombreEntarjeta' value=\"".$fila['NombreEntarjeta']."\"></td></tr>";
echo "<tr><td>Fecha de caducidad: </td><td><input type='text' name='vFechaCaducidad' value=\"".$fila['FechaCaducidad']."\"></td></tr>";
$check="";
if ($fila['AceptaCookies'] =="S") $check= " checked=\"checked\"";
echo "<tr><td>Acepta cookies: </td><td><input type='checkbox' name='vAceptaCookies' value='1'".$check."></td></tr>";
$check="";
if ($fila['Suscriptor'] =="S") $check= " checked=\"checked\"";
echo "<tr><td>Suscriptor: </td><td><input type='checkbox' name='vSuscriptor' value='1'".$check."></td></tr>";

echo "</table></td></tr>";
echo "</table>";
echo "<input type=\"hidden\" name=\"vClienteID\" value=\"".$fila['ClienteID']."\">";
if ($cliente!=0)
     echo "<input type=\"submit\" name=\"ModificarCliente\" value=\"Modificar\">";
else
     echo "<input type=\"submit\" name=\"AadirCliente\" value=\"Aadir\">";
echo "</form>";



?>
</body>
</html>