<?php
// Versin SQLite
// archivo: verCesta.php
// archivos de inclusin

  require '../include/clTablaHTML.php';
  require '../include/partecomun.php';

// esta pgina muestra el contenido de la cesta y
// permite modificar cantidades o eliminar un tem de
// la cesta

$tit= "Contenido de la  cesta ";
?>

<html>
  <head>
    <title><?php echo $tit. "(pgina:".$doc .")" ?></title>
    </head>
    <body>
    <link href="../css/comercio.css"
          rel="stylesheet"
          media="all"
          type="text/css"
           />

<?php

//vervariables();

// Conectarse con la base de datos
conectar();

////////////////////////////////////////////////////
// Barra de navegacin del proceso de compra
////////////////////////////////////////////////////
tabNavegaCompra();

////////////////////////////////////////////////////
// Si no hay cesta activa vuelve al inicio
////////////////////////////////////////////////////
if (!isset($_SESSION['Cesta']))
	redirect("inicio.php");


// Rutina de modificacin de un item de la cesta
if  ($_POST["ModificarItem"]=="Modificar")
{
  $queryUpdate=
    "UPDATE ItemCesta
       SET
         CantidadUnidades =\"".$_POST["vCantidadUnidades"]."\"
       WHERE
         ItemCestaID = \"".$_POST["vItemCestaID"]."\";";

  if (!sqlite_query($con,$queryUpdate))
       tratarError("Error en modificacin de item de cesta",
                    $queryUpdate);
}

// Rutina de eliminacin de un item de la cesta
elseif ($_POST["EliminarItem"]=="Eliminar")
{
  $queryDelete=
    "DELETE FROM ItemCesta
       WHERE
         ItemCestaID = \"".$_POST["vItemCestaID"]."\";";

  if (!sqlite_query($con,$queryDelete))
       tratarError("Error en eliminacin de item de cesta",
                    $queryDelete);
}

// Obtencin de toda la cesta
$strsql =
  "SELECT ItemCestaID,
          ItemCesta.LibroID AS 'LibroID',
          CantidadUnidades,
          Nombre,
          Autor,
          Precio,
          IVA
      FROM ItemCesta
      JOIN Libros ON ItemCesta.LibroID=Libros.LibroID
      WHERE CestaID =".$_SESSION["Cesta"].";";


  $result = sqlite_query($con,$strsql);
  if (!$result)
       tratarError("Error en lectura de item de cesta",
                    $strsql);


// Crea un objeto TablaHTML
$tab2 = new  TablaHTML("Comercio");

// Coloca los ttulos de las columnas
$tab2->asignar_titulos_columnas(
       "ISBN",
       "Ttulo",
       "Autor",
       "Precio unit.",
       "Cantidad",
       "Total",
       "",
       "",
       "Accin");


// Formularios para la eliminacin y modificacin de item de cesta
$i=1;
while ($fila = sqlite_fetch_array($result, SQLITE_ASSOC))
{
   // detecta el uso de escape
  if (get_magic_quotes_gpc())      {
        $fila['Nombre']=stripslashes($fila['Nombre']);
        $fila['Autor']=stripslashes($fila['Autor']);
        $fila['LibroID']=stripslashes($fila['LibroID']);
  }


  // limpia la matriz
  unset($b);
  $b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
  $b[0].="<input type='hidden' name='vItemCestaID' value='".$fila['ItemCestaID']."'>";
  $b[0].="<input type='hidden' name='vCestaID' value='".$fila['CestaID']."'>";
  $b[0].="<input type='hidden' name='vLibroID' value='".$fila['LibroID']."'>";
  $b[0].= $fila['LibroID'];
  $b[1]=$fila['Nombre'];
  $b[2]=$fila['Autor'];
  $b[3]=$fila['Precio']+$fila['IVA'];
  $b[4]="<input type='text' name='vCantidadUnidades' value='".$fila['CantidadUnidades']."'>";
  $b[5]=($fila['Precio']+$fila['IVA'])*$fila['CantidadUnidades'];
  $b[6]="<input type=\"submit\" name=\"EliminarItem\" value=\"Eliminar\">";
  $b[6].="<input type=\"submit\" name=\"ModificarItem\" value=\"Modificar\"></form>";
  $b[7]="<form method=\"POST\" action=\"inicio.php\" enctype=\"multipart/form-data\">";
  $b[7].="<input type='hidden' name='vLibroID' value='".$fila['LibroID']."'>";
  $b[7].="<input type=\"submit\" name=\"VerLibro\" value=\"Ver\">";
  $b[7].="</form>";

  // se utiliza el identificador del departamento como ttulo de la fila
  // esta columna no se puede modificar
  $titfila[]=$i++;

  $tab2->aadir_fila($b);
}

// coloca los ttulos de cada fila
$tab2->asignar_titulos_filas($titfila);

echo $tab2->retornoHTML();
echo "</form>";

?>
</body>
</html>