<?php
print "<B><U>Uso de las funciones de usuario (ejemplo apb02.php)</U></B><BR>";
// Ejemplos para sqlite_create_aggregate()

// Definicin de una funcin de usuario 
function excesos (&$excesos, $val){
	if ($val > 5000) {
    	$excesos++;
	} 
	return TRUE;
}
function excesos_finalize (&$excesos){
	return $excesos;
}

$db1 =sqlite_open('c13db1', 0666,$sqliteerror);
// Apertura de una base de datos c13db1

// Elimina la tabla (por precaucin)
@sqlite_query($db1, 'DROP TABLE Personas;');

// Tabla personas
$creat1 = "CREATE TABLE Personas (
 			Id_Person INTEGER PRIMARY KEY NOT NULL,
			Nombres VARCHAR(32) NOT NULL DEFAULT ' ' , 
			Apellidos VARCHAR(32) NOT NULL DEFAULT ' ', 
			Mail VARCHAR(32) NOT NULL DEFAULT ' ',
			Crditos double(10,2) NOT NULL DEFAULT '0',
			Texto text(65535) NOT NULL DEFAULT ' ');";
// Creacin de la tabla			
sqlite_query($db1,$creat1);

// Registro de la funcin en la base de datos
sqlite_create_aggregate($db1,'excesos','excesos', 'excesos_finalize'); 

// Carga valores en la tabla Personas en todos los campos ordenados
sqlite_query($db1,"INSERT INTO Personas values (NULL, 'Jos','Rodrguez','jrodriguez@hotmailx.com',400,' ');");
sqlite_query($db1,"INSERT INTO Personas values (NULL, 'Jos','Prez','jperez@hotmailx.com',8000,' ');");
sqlite_query($db1,"INSERT INTO Personas values (NULL, 'Silvia','Fernndez','sfernandez@hotmailx.com',3500,' ');");
sqlite_query($db1,"INSERT INTO Personas values (NULL, 'Jos','Garca','jgarcia@hotmailx.com',9000,' ');");

// Consulta usando la funcin de conversin
$res = sqlite_array_query($db1,"SELECT excesos(Crditos) AS Cred FROM Personas;");
print_r ($res); 
// Respuesta
// Apellidos	Cred	
// Rodrguez	500
// Prez		1500
// Fernndez	5000
// Garca		5000			
?>