<?php
// archivo: mantcuentas.php

// Esta pgina permite realizar el mantenimiento de las cuentas
// de usuario por lo que slo la utiliza el administrador (autenticado)
// Desde esta pgina se pueden realizar altas, bajas y modificaciones
// de cuentas


// archivos de inclusin

  require '../include/clTablaHTML.php';
  require '../include/partecomun.php';

$tit= "Mantenimiento de Cuentas de usuarios ";

// si se entra directamente a esta pgina
// se lo enva a la pgina de login de administrador
// es un reaseguro
if ($_SERVER["PHP_AUTH_USER"]=="")
     redirect("admin.php");

?>

<html>
  <head>
    <title><?php echo $tit. "(pgina:".$doc .")" ?></title>
    </head>
    <body>
    <link href="../css/comercio.css"
          rel="stylesheet"
          media="all"
          type="text/css"
           />

<?php
//verVariables();

////////////////////////////////////////////////////
// Se establece la conexin
////////////////////////////////////////////////////
// observar que se utiliza conectar() en lugar de conectarGuest()
// para no permitir el acceso a los visitantes
// (slo el administrador autenticado)
////////////////////////////////////////////////////

conectar();


// Rutina de insercin de una nueva cuenta
if (($_POST["AadirCuenta"]=="Aadir")&&($_POST["ILogin"]!=" ")) {
  $queryInsert="INSERT INTO Cuentas(Login, PalabraPaso) VALUES (\"".$_POST["ILogin"]."\",\"".$_POST["IPalabraPaso"]."\");";
  if (!$con->query($queryInsert))
       tratarError("Error en insercin de tabla de cuentas", $queryInsert);
}

// Rutina de modificacin de una cuenta
elseif ($_POST["ModificarCuenta"]=="Modificar")
{
  $queryUpdate="UPDATE Cuentas SET PalabraPaso =\"".$_POST["vPalabraPaso"]."\" WHERE Login = \"".$_POST["vLogin"]."\";";
  if (!$con->query($queryUpdate))
       tratarError("Error en modificacin de tabla de cuentas", $queryUpdate);
}

// Rutina de eliminacin de una cuenta
elseif (($_POST["EliminarCuenta"]=="Eliminar")&&($_POST["vLogin"]!=$_SERVER["PHP_AUTH_USER"]))
{
  $queryDelete="DELETE FROM Cuentas WHERE Login = \"".$_POST["vLogin"]."\";";
  if (!$con->query($queryDelete))
       tratarError("Error en insercin de tabla de cuentas", $queryDelete);
}

// Rutina de filtrado de cuentas
elseif ($_POST["Buscar"]=="Buscar")
{
  $strsql="WHERE Login Like '%".trim($_POST['Texto'])."%' or ";
  $strsql.="     PalabraPaso Like '%".trim($_POST['Texto'])."%'";
}

$strsql = "SELECT * FROM Cuentas " . $strsql;

// crea el conjunto de resultados
$result = $con->query($strsql);

// si es false, fall la consulta
// no confundir con vaco:
// el conjunto $result puede estar vaco pero eso no produce false
// un conjunto de resultados vaco es una respuesta vlida

if (!$result)  tratarError("Error en lectura de tabla de cuentas", $strsql);

echo "<h2><center>".$tit." : sesin: " .$_SERVER['PHP_AUTH_USER']." </center></h2>";

////////////////////////////////////////////////////
// enlaces a otras pginas
////////////////////////////////////////////////////
// Tabla de navegacin del administrador del sitio
tabnavega($doc);


// Crea un objeto TablaHTML
$tab2 = new  TablaHTML("Comercio");

// Coloca los ttulos de las columnas
$tab2->asignar_titulos_columnas("Inicio sesin","Contrasea","","Accin");


// Formularios para la eliminacin y modificacin de cuentas
// uno por cada lnea de la tabla

// navegacin por el conjunto de resultados
while ($fila = $result->fetch_assoc()) {
  // detecta el uso de escape en campos alfabticos
  if (get_magic_quotes_gpc()) {
   $fila['Login']=stripslashes($fila['Login']);
   $fila['PalabraPaso']=stripslashes($fila['PalabraPaso']);
  }

  unset($b);

  $b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
  $b[0].="<input type='hidden' name='vLogin' value=\"".$fila['Login']."\">";
  $b[1]="<input type='text' name='vPalabraPaso' value=\"".$fila['PalabraPaso']."\">";
  $b[2]="<input type=\"submit\" name=\"EliminarCuenta\" value=\"Eliminar\">";
  $b[3]="<input type=\"submit\" name=\"ModificarCuenta\" value=\"Modificar\">";
  $b[4]="</form>";

  // se utiliza el identificador de la cuenta como ttulo de la fila
  // esta columna no se puede modificar
  $titfila[]=$fila['Login'];

  $tab2->aadir_fila($b);
}

// libera el conjunto de resultados
$result->free_result();

// cierra la conexin
$con->close();

// Formulario para la insercin de nuevas cuentas
unset($b);
$b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
$b[0].="<input type=\"text\" name=\"ILogin\" value=\" \" size=\"20\">";
$titfila[]=" ";
$b[1]="<input type=\"text\" name=\"IPalabraPaso\" value=\" \" size=\"20\">";
$b[2]="<input type=\"submit\" name=\"AadirCuenta\" value=\"Aadir\">";
$b[3]="</form>";
$tab2->aadir_fila($b);

// coloca los ttulos de cada fila
$tab2->asignar_titulos_filas($titfila);

echo $tab2->retornoHTML();
echo "</form>";

?>
</body>
</html>
