<?php
// archivo: mantdepto.php
// archivos de inclusin

  require '../include/clTablaHTML.php';
  require '../include/partecomun.php';

// Esta pgina permite aadir, modificar o eliminar
// departamentos de la tienda
// Es una pgina que slo utilizar el administrador
// del sitio de comercio electrnico; ningn cliente
// del sitio tendr acceso a ella.

$tit= "Mantenimiento de Departamentos ";
?>

<html>
  <head>
    <title><?php echo $tit. "(pgina:".$doc .")" ?></title>
    </head>
    <body>
    <link href="../css/comercio.css"
          rel="stylesheet"
          media="all"
          type="text/css"
           />

<?php

//vervariables();

// Rutina de bsqueda de los libros de un departamento
if  ($_POST["VerDepto"]=="Buscar")
{
   redirect("mantlibros.php?vDepartamentoID=".$_POST["vDepartamentoID"]."&VerDepto=".$_POST["VerDepto"]);
}

////////////////////////////////////////////////////
// Se establece la conexin
////////////////////////////////////////////////////
// observar que se utiliza conectar()
// para no permitir el acceso a los visitantes
// (slo el administrador autenticado)
////////////////////////////////////////////////////
conectar();


// Rutina de insercin de un nuevo Departamento de la librera
if (($_POST["AadirDepto"]=="Aadir")&&($_POST["IDepartamentoID"]!=" "))
{
  $queryInsert="INSERT INTO Departamentos(DepartamentoID, DepartamentoRaizID, Nombre, Imagen) VALUES (\"".$_POST["IDepartamentoID"]."\",\"".$_POST["IDepartamentoRaizID"]."\",\"".$_POST["INombre"]."\",\"".$_POST["IImagen"]."\");";
   if (!$con->query($queryInsert))
       tratarError("Error en insercin de tabla de departamentos", $queryInsert);

}

// Rutina de modificacin de un departamento de la librera
elseif ($_POST["ModificarDepto"]=="Modificar")
{
  $queryUpdate="UPDATE Departamentos SET DepartamentoRaizID =\"".$_POST["vDepartamentoRaizID"]."\", Nombre = \"".$_POST["vNombre"]."\", Imagen = \"".$_POST["vImagen"]."\" WHERE DepartamentoID = \"".$_POST["vDepartamentoID"]."\";";
  if (!$con->query($queryUpdate))
       tratarError("Error en modificacin de tabla de departamentos", $queryUpdate);
}

// Rutina de eliminacin de un departamento de la librera
elseif ($_POST["EliminarDepto"]=="Eliminar")
{
  // se verifica que ese departamento no tenga otros departamentos dependientes
  // es una autoreferencia a la propia tabla

  $query="SELECT Count(*) FROM Departamentos WHERE DepartamentoRaizID = \"".$_POST["vDepartamentoID"]."\";";

  // crea el conjunto de resultados
  $result = $con->query($query);

  if (!$result)  tratarError("Error en lectura de tabla de departamentos", $strsql);

  $row = $result->fetch_row();
  if ($row[0] <> 0) {
       echo "<b>No se elimina el departamento: otros departamentos dependen de l.</b>";
       $result->free_result();
  }
  else {
    $queryDelete="DELETE FROM Departamentos WHERE DepartamentoID = \"".$_POST["vDepartamentoID"]."\";";
    if (!$con->query($queryDelete))
       tratarError("Error en insercin de tabla de departamentos", $queryDelete);
  }
}

// Rutina de filtrado de departamentos
elseif ($_POST["Buscar"]=="Buscar")
{
  $strsql="WHERE Nombre Like '%".trim($_POST['Texto'])."%'";
}

// Realiza la consulta con la cadena armada
$strsql = "SELECT * FROM Departamentos ".$strsql;

// crea el conjunto de resultados
$result = $con->query($strsql);

// si es false, fall la consulta
// no confundir con vaco:
// el conjunto $result puede estar vaco pero eso no produce false
// un conjunto de resultados vaco es una respuesta vlida

if (!$result)  tratarError("Error en lectura de tabla de departamentos", $strsql);

echo "<h2><center>".$tit." : sesin: " .$_SERVER['PHP_AUTH_USER']." </center></h2>";

////////////////////////////////////////////////////
// enlaces a otras pginas
////////////////////////////////////////////////////
// Tabla de navegacin del administrador del sitio
tabnavega($doc);

// Crea un objeto TablaHTML
$tab2 = new  TablaHTML("Comercio");

// Coloca los ttulos de las columnas
$tab2->asignar_titulos_columnas("Departamento","Depende de","Nombre","Imagen","","","Accin");


// Formularios para la eliminacin y modificacin de departamentos
// uno por cada lnea de la tabla
// navega por el conjunto de resultados
$op="<option value='0' >Ninguno</option>";

while ($fila = $result->fetch_assoc())
{
  // detecta el uso de escape en campos alfabticos
  if (get_magic_quotes_gpc())
   {
     $fila['Nombre']=stripslashes($fila['Nombre']);
     $fila['Imagen']=stripslashes($fila['Imagen']);
   }

  unset($b);
  $b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
  $b[0].="<input type='hidden' name='vDepartamentoID' value='".$fila['DepartamentoID']."'>";
  $b[1]="<input type='text' name='vDepartamentoRaizID' value='".$fila['DepartamentoRaizID']."'>";
  $b[2]="<input type='text' name='vNombre' value=\"".$fila['Nombre']."\">";
  $b[3]="<input type='text' name='vImagen' value=\"".$fila['Imagen']."\">";
  $b[4]="<input type=\"submit\" name=\"EliminarDepto\" value=\"Eliminar\">";
  $b[5]="<input type=\"submit\" name=\"ModificarDepto\" value=\"Modificar\">";
  $b[6]="<input type=\"submit\" name=\"VerDepto\" value=\"Buscar\">";
  $b[7]="</form>";
  $op.= "<option value='".$fila['DepartamentoID']."' >".$fila['Nombre']."</option>";

  // se utiliza el identificador del departamento como ttulo de la fila
  // esta columna no se puede modificar
  $titfila[]=$fila['DepartamentoID'];

  $tab2->aadir_fila($b);
}

// libera el conjunto de resultados
$result->free_result();

// cierra la conexin
$con->close();

// Formulario para la insercin de nuevos departamentos
unset($b);
$b[0]="<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
$b[0].="<input type=\"text\" name=\"IDepartamentoID\" value=\" \" size=\"5\">";
$titfila[]=" ";
$b[1]="<select name=\"IDepartamentoRaizID\">".$op."</select>";
$b[2]="<input type=\"text\" name=\"INombre\" value=\" \" size=\"20\">";
$b[3]="<input type=\"text\" name=\"IImagen\" value=\" \" size=\"20\">";
$b[4]="<input type=\"submit\" name=\"AadirDepto\" value=\"Aadir\">";
$b[5]="</form>";
$tab2->aadir_fila($b);

// coloca los ttulos de cada fila
$tab2->asignar_titulos_filas($titfila);

echo $tab2->retornoHTML();
echo "</form>";

?>
</body>
</html>