<?php
///////////////////////////////////////////////////
// archivo de inclusin funciones.php
///////////////////////////////////////////////////

///////////////////////////////////////////////////
// 1. funcin ValidarUsuario()
//////////////////////////////////////////////////

 function ValidarUsuario($login, $passwd)   {
    // conexin a la base de datos
    // si el usuario no est en la tabla user de MySQL
    // no se podr establecer la conexin

    $con= mysqli_connect("localhost",$login, $passwd);

    if (!$con) {
    	printf("No pudo conectar con MySQL: %s\n", mysqli_connect_error());
    	return FALSE;
    	exit;
    }


    // seleccin de la base de datos Comercio
    mysqli_select_db($con,DBASE);

    // Como doble verificacin se comprueba que el usuario
    // tambin est en la tabla Cuentas de la base de datos
    // Comercio
    $query="SELECT * FROM Cuentas WHERE Login='".$login."'";
    $result=mysqli_query($con, $query);

    // no existe el usuario
    if (mysqli_num_rows($result) == 0) {
      return FALSE;
    }
    else {

      $fila= mysqli_fetch_array($result);

      if ($fila["PalabraPaso"]==$passwd)    {
        // autenticacin OK
        $_SESSION["LOGIN"]=$login;
        $_SESSION["PalabraPaso"]=$passwd;
        return TRUE;
      }
      else  {
        // autenticacin errnea
        // existe el usuario pero no coincide
        // la contrasea
        return FALSE;
      }
    }
  } // fin de funcin validarUsuario()

///////////////////////////////////////////////////
// 2. funcin redirect()
//////////////////////////////////////////////////

function redirect($otrapagina)   {
    // Inicia otra pgina
    echo "<script language=\"JavaScript\">\n";
    echo "document.location = \"".$otrapagina."\";";
    echo "</script>";
  }  // fin funcin redirect()


///////////////////////////////////////////////////
// 3. funcin conectar()
//////////////////////////////////////////////////

function conectar()   {
    global $con;

    // crea un objeto conexin
    // utiliza las variables del servidor aunque tambin podramos utilizar las
    // variables $_SESSION['Login'] y $_SESSION['Palabrapaso']
    // se usa la constante DBASE que tiene asignada el nombre Comercio

    $con = new mysqli("localhost",
                      $_SERVER['PHP_AUTH_USER'],
                      $_SERVER['PHP_AUTH_PW'],
                      DBASE);

    // si hay un error de conexin se emite un mensaje y finaliza
    if ($con->connect_errno())     {
    	printf("Ha fallado la conexin, error: %s\n", $con->connect_error());
    	die ("revisar conexin");
    }

  } // fin funcin conectar()

///////////////////////////////////////////////////
// 4. funcin tabnavega()
//////////////////////////////////////////////////

function tabnavega($doc) {

    // Formularios para la navegacin a otros mantenimientos
    // uno por cada lnea de la tabla
    echo "<table border=\"1\" class='comercio'><tr>";
    echo "<th><b>Buscar en esta tabla</th><th colspan=\"4\">Mantenimiento de tablas</b></th></tr>";
    echo "<td><form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
    echo "<input type=\"text\" name=\"Texto\" value=\" \" size=\"20\">";
    echo "<input type=\"submit\" name=\"Buscar\" value=\"Buscar\" size=\"50\">";
    echo "</form></td>";
    $tabs=array("Departamentos "=>"/comercio/admin/mantdepto.php","Catlogo "=>"/comercio/admin/mantlibros.php","Cuentas "=>"/comercio/admin/mantcuentas.php","Proveedores "=>"/comercio/admin/mantprov.php","Salir"=>"/comercio/salir.php");
    while ($temp = each($tabs))  {
      if ($doc != $temp[1]) {
        echo "<td><form method=\"POST\" action=\"".$temp[1]."\" enctype=\"multipart/form-data\">";
        echo " <input type=\"submit\" name=\"Actualizar\" value=\"".$temp[0]."\" size=\"50\">";
        echo "</form></td>";
      }
    }
    echo "</tr></table><br><br>";
  } // fin funcin tabnavega()


///////////////////////////////////////////////////
// 5. funcin tratarError()
//////////////////////////////////////////////////

  function tratarError($msg, $strsql) {
      global $con;
      global $doc;

      switch ($con->errno) {
	       case 1062:
	         echo "<b>* Registro no aadido: Clave duplicada, ya existe un registro con esa clave.</b><br>";
	         break;
	       case 1217:
			 echo "<b>* Registro no eliminado: Tiene filas dependientes.</b><br>";
			 break;
	       default:
	         echo "***********************************************************<br>";
	         echo "* <b>Error no esperado que no permite procesar la pgina :  $doc </b><br>";
	         echo "* Sentencia SQL :  $strsql <br>";
	         echo "* Mensaje del programa :   $msg <br>";
	         echo "* Mensaje MySQL : $con->error <br>";
	         echo "* Nmero de error MySQL : $con->errno <br>";
	         echo "***********************************************************<br>";
	         $con->rollback();
	         exit();
	  }

  } // fin funcin tratarError()


///////////////////////////////////////////////////
// 6. funcin conectarGuest()
//////////////////////////////////////////////////

function conectarGuest()   {
    global $con;

    // Se establece la conexin con usuario guest
    // que tiene privilegios limitados slo para comprar
    // y selecciona  la base de datos Comercio

    // crea objeto conexin
    $con = new mysqli("localhost","guest","", DBASE);

	// si hay un error de conexin se emite un mensaje y finaliza
	if ($con->connect_errno())     {
	    	printf("Ha fallado la conexin, error: %s\n", $con->connect_error());
	    	die ("revisar conexin con base de datos");
	}

  } // fin funcin conectarGuest()



///////////////////////////////////////////////////
// 7. funcin tabNavegaCompra()
//////////////////////////////////////////////////

function tabNavegaCompra() {
    global $tit;

    // Formularios para la navegacin a otros mantenimientos
    // uno por cada lnea de la tabla
    echo "<table border=\"1\" class='comercio' width='800'><tr>";
    echo "<th colspan=\"7\"><b> LIBRERA COMERCIO - $tit</b></th></tr>";
    $tabs=array("Catlogo "=>"/comercio/compra/inicio.php",
                "Autenticarse "=>"/comercio/compra/autenticarse.php",
                "Datos cliente "=>"/comercio/compra/registro.php",
                "Cesta "=>"/comercio/compra/verCesta.php",
                "Comprar "=>"/comercio/compra/revisardatos.php",
                "Confirmar compra"=>"/comercio/compra/confirmarcompra.php",
			    "Salir"=>"/comercio/compra/salir.php");
    while ($temp = each($tabs))  {
        echo "<td><form method=\"POST\" action=\"".$temp[1]."\" enctype=\"multipart/form-data\">";
        echo " <input type=\"submit\" name=\"Actualizar\" value=\"".$temp[0]."\" size=\"50\">";
        echo "</form></td>";
    }
    echo "</tr></table><br><br>";
  } // fin funcin tabnavegaCompra()


///////////////////////////////////////////////////
// 8. funcin tabBuscar()
//////////////////////////////////////////////////

  function tabBuscar($cantrows)  {
      global $depto;
      global $doc;

      echo "<table border=\"2\" class=\"comercio\" width='800'><tr>";
      echo "<th colspan=\"6\"><b>CATLOGO : listados $cantrows libros </b></th></tr>";
      echo "<td><form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
      echo "Departamento</td><td>Ttulo</td><td>Autor</td><td>Tema</td><td></td></tr>";
      echo "<td><select name='BDepartamento'>";
      echo "<option value=\"\">Todos</option>";
	  reset($depto);
	  while($temp = each($depto))
	         echo "<option value=\"".$temp[1]."\">".$temp[1]."</option>";
      echo "</select></td>";
      echo "<td><input type=\"text\" name=\"BTitulo\" value=\" \" size=\"20\"></td>";
      echo "<td><input type=\"text\" name=\"BAutor\" value=\" \" size=\"20\"></td>";
      echo "<td><input type=\"text\" name=\"BTexto\" value=\" \" size=\"20\"></td>";
      echo "<td><input type=\"submit\" name=\"Buscar\" value=\"Buscar\" size=\"50\"></td>";
      echo "</form>";
      echo "</tr></table><br><br>";

  } // fin funcin tabBuscar()


///////////////////////////////////////////////////
// 9. funcin insertCesta()
//////////////////////////////////////////////////

function insertCesta()   {

   global $con;
  // Rutina de insercin de una nueva cesta
    $queryInsert=
      "INSERT INTO Cesta
          (ClienteID,
           FechaCreacion )
         VALUES
          (1, now());";


     if (!$con->query($queryInsert)) {
          tratarError("Error en insercin de tabla de Cesta", $queryInsert);
     }
     else {

         //////////////////////////////////////////////////////
	     // obtiene el identificador del pedido
	     ////////////////////////////////////////////////////////
         $_SESSION['Cesta']=$con->insert_id;

     }

 } // fin funcin insertCesta()


///////////////////////////////////////////////////
// 10. funcin insertItemCesta()
//////////////////////////////////////////////////

function insertItemCesta()   {

   global $con;

   // Rutina de insercin de una nueva cesta

   $queryInsert=
       "INSERT INTO ItemCesta
            (CestaID,
             LibroID,
             CantidadUnidades )
           VALUES
             (".$_SESSION['Cesta'].",'"
               .$_POST['LibroID']."',"
               .$_POST['Cantidad'].");";

     if (!$con->query($queryInsert))
          tratarError("Error en insercin de elemento de Cesta", $queryInsert);

 } // fin funcin insertItemCesta()


///////////////////////////////////////////////////
// 11. funcin tarifaEnvio()
//////////////////////////////////////////////////

function tarifaEnvio($Peso,$tipo)   {
   // Tarifas de envo de la compra
   // se presupone una tarifa de correo 4 euros por cada kilo
   // con un mnimo de 2 euros
   // y una tarifa de envo por mensajera de 7 euros por cada 5 kilos
   // con un mnimo de 7 euros

   if ($tipo=="Correo") {
       $gasto= $Peso*4;
       if ($gasto < 2) $gasto = 2;
       return $gasto;
     }
   else  {
       $gasto= $Peso/5*7;
       if ($gasto < 7) $gasto = 7;
       return $gasto;
     }
  } // fin funcin tarifaEnvio()


///////////////////////////////////////////////////
// 12. funcin varVariables()
//////////////////////////////////////////////////

function verVariables()   {
    //return;
    echo "<br>Sesin Cliente<br>";
    echo $_SESSION['Cliente'];

    echo "<br>Sesin Cesta<br>";
	echo $_SESSION['Cesta'];

    echo "<BR>SERVER <BR>";
    print_r ($_SERVER);

    echo "<BR>SESSION <BR>";
    print_r ($_SESSION);

    echo "<BR><BR>POST <BR>";
    print_r ($_POST);

    echo "<BR><BR>GET <BR>";
	print_r ($_GET);

	echo "<BR><BR>ID session <BR>";
	$var=session_id();
	echo $var;
	echo "<br>";


  } // funcin verVariables()
?>
