<?php
print "<B><U>Creacin y carga de la tabla Proveedores (ejemplo c1402.php)</U></B><BR><BR>";

// Apertura de una base de datos Comercio
$db1 = sqlite_open('Datos/Comercio', 0666, $sqliteerror);

// Elimina las tablas (por precaucin)
@sqlite_query($db1, 'DROP TABLE Proveedores;');

// Comienza la transaccin
sqlite_query($db1,"BEGIN");

// Tabla personas
$creat1 = "CREATE TABLE Proveedores (
 			ProveedorID INTEGER PRIMARY KEY NOT NULL,
			Nombre VARCHAR(20) NOT NULL,
			Apellidos VARCHAR(25) NOT NULL,
			Empresa VARCHAR(50) NOT NULL,
			EMail VARCHAR(50) NOT NULL );";


// Ejecucin del query
sqlite_query($db1,$creat1 );

// Carga incicial en la tabla Proveedores
$ins01 = "INSERT INTO Proveedores values(
 			NULL,'Joan','Salas Marcos','Distribuidora Sur','salas@distrisur.com');";
sqlite_query($db1,$ins01);

$ins01 = "INSERT INTO Proveedores values(
            NULL,'Carlos','Rey Paz','Distribuidora Norte','reypaz@distrinorte.com');";
sqlite_query($db1,$ins01);


$ins01 = "INSERT INTO Proveedores values(
            NULL,'Enrique','Castelli Parera','Distribuidora centro','castelli@districentro.com');";
sqlite_query($db1,$ins01);

$ins01 = "INSERT INTO Proveedores values(
            NULL,'Ricardo','Moreno Vega','Exportaciones Estrella','moreno@exportestrella.com');";
sqlite_query($db1,$ins01);


// Creacin de un ndice sobre Nombre
$creai1 = "CREATE INDEX ind_Empresa ON Proveedores (Empresa);";


// Confirma las actualizaciones
sqlite_query($db1,"COMMIT;");

print "<BR>En la tabla Proveedores de la base de datos Comercio hay " .
       sqlite_fetch_single(sqlite_query($db1, "SELECT COUNT(*) FROM Proveedores;")) .
	   " registros<BR>";


?>