<?php
// Versin SQLite
// archivo: inicio.php
// objetivo: catlogo de libros

////////////////////////////////////////////////////
// archivos de inclusin
////////////////////////////////////////////////////

require '../include/clTablaHTML.php';
require '../include/partecomun.php';

$tit= "Compra de Libros ";
?>

<html>
  <head>
    <title><?php echo $tit. "(pgina:".$doc .")" ?></title>
    </head>
    <body>
    <link href="../css/comercio.css"
          rel="stylesheet"
          media="all"
          type="text/css"
           />
<?php

//verVariables();

////////////////////////////////////////////////////
// Se establece la conexin
////////////////////////////////////////////////////
conectar();

////////////////////////////////////////////////////
// Barra de navegacin del proceso de compra
////////////////////////////////////////////////////
tabNavegaCompra();

////////////////////////////////////////////////////
// Rutina de filtrado de libros
////////////////////////////////////////////////////
// esto limita la visualizacin del
// primer catlogo
$strsql2 = "LIMIT 3";

if ($_POST["Buscar"]=="Buscar") {
  $strsql2="WHERE  L.Nombre Like '%".trim($_POST['BTitulo'])."%' AND ";
  $strsql2.="      D.Nombre Like '%".trim($_POST['BDepartamento'])."%' AND ";
  $strsql2.="      (DetalleMenor Like '%".trim($_POST['BTexto'])."%' or ";
  $strsql2.="       DetalleMayor Like '%".trim($_POST['BTexto'])."%'  or ";
  $strsql2.="       Tema Like '%".trim($_POST['BTexto'])."%') AND ";
  $strsql2.="       Autor Like '%".trim($_POST['BAutor'])."%' ";
  $texto= " donde aparece la informacin buscada ";
}

if ($_POST["VerLibro"]=="Ver") {
  $strsql2="WHERE  LibroID Like '%".trim($_POST['vLibroID'])."%' ";

}

////////////////////////////////////////////////////
// Rutina de comprar
////////////////////////////////////////////////////
if ($_POST["Comprar"]=="Comprar") {
  if(!isset($_SESSION['Cesta'])) insertCesta();

  insertItemCesta();
}

////////////////////////////////////////////////////
// Obtener los libros del catlogo
////////////////////////////////////////////////////

$strsql= "SELECT
             L.LibroID AS 'LibroID',
             L.Nombre AS 'Nombre',
             L.DetalleMenor AS 'DetalleMenor',
             L.DetalleMayor AS 'DetalleMayor',
             L.Autor AS 'Autor',
             L.Editorial AS 'Editorial',
             L.Paginas AS 'Paginas',
             L.Cubierta AS 'Cubierta',
             L.Tema AS 'Tema',
             L.Imagen AS 'Imagen',
             L.Peso AS 'Peso',
             L.Precio AS 'Precio',
             L.IVA AS 'IVA',
             D.Nombre AS 'NombreD'
            FROM
             Libros AS L
              JOIN Departamentos AS D ON L.DepartamentoID = D.DepartamentoID ".$strsql2;


$result = sqlite_query($con, $strsql);

$cantrows=sqlite_num_rows($result);


////////////////////////////////////////////////////
// Obtener la lista de departamentos vigentes
////////////////////////////////////////////////////
$result2 = sqlite_query($con,"SELECT * FROM Departamentos ORDER BY Nombre");
while ($fila2 = sqlite_fetch_array($result2, SQLITE_ASSOC))
	$depto[$fila2['DepartamentoID']]=$fila2['Nombre'];


// Genera la tabla para bsquedas en el catlogo
tabbuscar($cantrows);


////////////////////////////////////////////////////
// Mostrar todos los libros seleccionados
////////////////////////////////////////////////////

while ($fila = sqlite_fetch_array($result, SQLITE_ASSOC))
{
  // detecta el uso de escape
  if (get_magic_quotes_gpc())      {
        $fila['Nombre']=stripslashes($fila['Nombre']);
        $fila['Imagen']=stripslashes($fila['Imagen']);
        $fila['Autor']=stripslashes($fila['Autor']);
        $fila['Editorial']=stripslashes($fila['Editorial']);
        $fila['LibroID']=stripslashes($fila['LibroID']);
        $fila['Tema']=stripslashes($fila['Tema']);
        $fila['DetalleMenor']=stripslashes($fila['DetalleMenor']);
        $fila['DetalleMayor']=stripslashes($fila['DetalleMayor']);
  }

  echo "<form method=\"POST\" action=\"".$doc."\" enctype=\"multipart/form-data\">";
  echo "<table valign=\"top\" width=\"800\" border=\"3\">";
  echo "<tr>";
  echo "<td><table valign=\"top\" width=\"100\" border=\"1\">";
  echo "<tr><td  valign=\"top\">Ttulo:<br><b>" .$fila['Nombre']."</b></td></tr>";
  echo "<tr><td align=\"center\"><img  src=\"../images/".$fila['Imagen']."\" width=\"120\" height=\"200\" /></td></tr>";
  echo "</table></td>";
  echo "<td><table valign=\"top\" width=\"200\" border=\"0\">";
  echo "<tr><td>Tema: ".$fila['Tema']."</td></tr>";
  echo "<tr><td>Departamento: " .$fila['NombreD']."</td></tr>";
  echo "<tr><td>Autor: <b>".$fila['Autor']."</b></td></tr>";
  echo "<tr><td>Editorial: ".$fila['Editorial']."</td></tr>";
  echo "<tr><td>ISBN: ".$fila['LibroID']."</td></tr>";
  echo "<tr><td>Pginas: ".$fila['Paginas']."</td></tr>";
  echo "<tr><td>Cubierta: ".$fila['Cubierta']."</td></tr>";
  echo "<tr><td>Peso en kg.: ".$fila['Peso']."</td></tr>";
  echo "<tr><td>PVP en euros: ".($fila['IVA']+$fila['Precio'])."</td></tr>";
  echo "</table></td>";
  echo "<td><table valign=\"top\" width=\"450\" border=\"1\">";
  echo "<tr><td><b>Resumen: </b>".$fila['DetalleMenor']."</td></tr>";
  echo "<tr><td><b>Detalle: </b>".$fila['DetalleMayor']."</td></tr>";
  echo "</table></td></tr>";
  echo "</table>";
  echo "Cantidad: <input type='text' name='Cantidad' value='1' size='5'>";
  echo "<input type='hidden' name='LibroID' value='".$fila['LibroID']."'>";
  echo "<input type=\"submit\" name=\"Comprar\" value=\"Comprar\">";
  echo "</form>";

 }

?>
</body>
</html>